package functions;

# 
# This package is used for the common functions
# for tests scripts
#
#

use strict;


# =============================================
# Use to check and lock a script
# =============================================
sub lock_check 
{
        my $args = shift ;

        if ( -e $args->{lockfile}) 
	{
		#-- We have a problem with the lock file. Sometimes the
		#-- lockfile stays .... so we will check if it's always running.
		open (FILE, "$args->{lockfile} ");
        	my $pid = <FILE>;
        	close(FILE);
        	chomp $pid;

        	my $is_running = `ps --pid $pid | awk '{print \$4}' | tail +2`;

        	if ($is_running)
                {
                	print "\nThis script always running with this pid: $pid\n";
                	return 0;
                }
        }


	#-- The lock file either doesn't exist or the script doesn't run.
	#-- so we create a new lockfile 
        open (FILE, ">$args->{lockfile}");
	print FILE $args->{pid};
        close (FILE);
        return 1;
}

# ===========================================
# Use to unlock a script :)
# ===========================================
sub unlock_check 
{
        my $args = shift;

	#-- If the file exist, we unlink it. But it must
	#-- always exist this file :-\
        if ( -e $args->{lockfile}) 
	{
                unlink ($args->{lockfile});
                return 1;
        }

}

1;
